Home
Docs
GitHub
Pricing
Blog
Log In

Run Sandworm Audit for your App

Get started
Hold on, we're currently generating a fresh version of this report
Generated on Jun 22, 2024 via pnpm

ember-infinity 2.3.0

Simple, flexible infinite scroll for Ember CLI Apps.
Package summary
Share
28
issues
1
critical severity
vulnerability
1
17
high severity
vulnerability
3
license
2
meta
12
8
moderate severity
meta
8
2
low severity
license
2
11
licenses
781
MIT
66
ISC
12
BSD-2-Clause
19
other licenses
BSD-3-Clause
9
Apache-2.0
4
BSD-3-Clause OR MIT
1
(MIT OR Apache-2.0)
1
+ 4 more
Package created
22 Mar 2015
Version published
2 Dec 2021
Maintainers
2
Total deps
878
Direct deps
4
License
MIT

Issues

28

17 high severity issues

high
Recommendation: Upgrade to version 5.1.2 or later
via: @ember/render-modifiers@2.1.0 & others
Recommendation: Upgrade to version 1.0.2 or later
via: ember-in-viewport@3.10.3
Recommendation: Upgrade to version 3.0.3 or later
via: @ember/render-modifiers@2.1.0 & others
Recommendation: Read and validate the license terms
via: @ember/render-modifiers@2.1.0 & others
Recommendation: Validate that the package complies with your license policy
via: @ember/render-modifiers@2.1.0 & others
via: @ember/render-modifiers@2.1.0 & others
via: @ember/render-modifiers@2.1.0 & others
via: @ember/render-modifiers@2.1.0 & others
via: @ember/render-modifiers@2.1.0 & others
via: @ember/render-modifiers@2.1.0 & others
via: @ember/render-modifiers@2.1.0 & others
via: @ember/render-modifiers@2.1.0 & others
via: @ember/render-modifiers@2.1.0 & others
via: @ember/render-modifiers@2.1.0
via: @ember/render-modifiers@2.1.0 & others
via: @ember/render-modifiers@2.1.0 & others
via: @ember/render-modifiers@2.1.0 & others
Collapse
Expand

8 moderate severity issues

moderate
via: @ember/render-modifiers@2.1.0 & others
via: @ember/render-modifiers@2.1.0 & others
via: @ember/render-modifiers@2.1.0 & others
via: @ember/render-modifiers@2.1.0 & others
via: @ember/render-modifiers@2.1.0 & others
via: @ember/render-modifiers@2.1.0 & others
via: @ember/render-modifiers@2.1.0 & others
via: @ember/render-modifiers@2.1.0 & others
Collapse
Expand

2 low severity issues

low
Recommendation: Read and validate the license terms
via: @ember/render-modifiers@2.1.0 & others
Recommendation: Read and validate the license terms
via: @ember/render-modifiers@2.1.0 & others
Collapse
Expand

Licenses

MIT License

Permissive
OSI Approved
This is a human-readable summary of (and not a substitute for) the license. Disclaimer.
Can
commercial-use
modify
distribute
sublicense
private-use
Cannot
hold-liable
Must
include-copyright
include-license
781 Packages, Including:
@babel/code-frame@7.24.7
@babel/compat-data@7.24.7
@babel/core@7.24.7
@babel/generator@7.24.7
@babel/helper-annotate-as-pure@7.24.7
@babel/helper-builder-binary-assignment-operator-visitor@7.24.7
@babel/helper-compilation-targets@7.24.7
@babel/helper-create-class-features-plugin@7.24.7
@babel/helper-create-regexp-features-plugin@7.24.7
@babel/helper-define-polyfill-provider@0.6.2
@babel/helper-environment-visitor@7.24.7
@babel/helper-function-name@7.24.7
@babel/helper-hoist-variables@7.24.7
@babel/helper-member-expression-to-functions@7.24.7
@babel/helper-module-imports@7.24.7
@babel/helper-module-transforms@7.24.7
@babel/helper-optimise-call-expression@7.24.7
@babel/helper-plugin-utils@7.24.7
@babel/helper-remap-async-to-generator@7.24.7
@babel/helper-replace-supers@7.24.7
@babel/helper-simple-access@7.24.7
@babel/helper-skip-transparent-expression-wrappers@7.24.7
@babel/helper-split-export-declaration@7.24.7
@babel/helper-string-parser@7.24.7
@babel/helper-validator-identifier@7.24.7
@babel/helper-validator-option@7.24.7
@babel/helper-wrap-function@7.24.7
@babel/helpers@7.24.7
@babel/highlight@7.24.7
@babel/parser@7.24.7
@babel/plugin-bugfix-firefox-class-in-computed-class-key@7.24.7
@babel/plugin-bugfix-safari-id-destructuring-collision-in-function-expression@7.24.7
@babel/plugin-bugfix-v8-spread-parameters-in-optional-chaining@7.24.7
@babel/plugin-bugfix-v8-static-class-fields-redefine-readonly@7.24.7
@babel/plugin-proposal-class-properties@7.18.6
@babel/plugin-proposal-decorators@7.24.7
@babel/plugin-proposal-nullish-coalescing-operator@7.18.6
@babel/plugin-proposal-optional-chaining@7.21.0
@babel/plugin-proposal-private-methods@7.18.6
@babel/plugin-proposal-private-property-in-object@7.21.0-placeholder-for-preset-env.2
@babel/plugin-proposal-private-property-in-object@7.21.11
@babel/plugin-syntax-async-generators@7.8.4
@babel/plugin-syntax-class-properties@7.12.13
@babel/plugin-syntax-class-static-block@7.14.5
@babel/plugin-syntax-decorators@7.24.7
@babel/plugin-syntax-dynamic-import@7.8.3
@babel/plugin-syntax-export-namespace-from@7.8.3
@babel/plugin-syntax-import-assertions@7.24.7
@babel/plugin-syntax-import-attributes@7.24.7
@babel/plugin-syntax-import-meta@7.10.4

ISC License

Permissive
OSI Approved
This is a human-readable summary of (and not a substitute for) the license. Disclaimer.
Can
commercial-use
modify
distribute
Cannot
hold-liable
Must
include-copyright
include-license
66 Packages, Including:
@handlebars/parser@2.0.0
@webassemblyjs/helper-fsm@1.9.0
anymatch@2.0.0
anymatch@3.1.3
aproba@1.2.0
at-least-node@1.0.0
browserify-sign@4.2.3
cacache@12.0.4
chownr@1.1.4
copy-concurrently@1.0.5
electron-to-chromium@1.4.810
ember-cli-get-component-path-option@1.0.0
ember-cli-is-package-missing@1.0.0
ember-cli-normalize-entity-name@1.0.0
ember-cli-path-utils@1.0.0
ember-cli-string-utils@1.1.0
ensure-posix-path@1.1.1
fast-ordered-set@1.0.3
figgy-pudding@3.5.2
fs-write-stream-atomic@1.0.10
fs.realpath@1.0.0
glob-parent@3.1.0
glob-parent@5.1.2
glob@5.0.15
glob@7.2.3
graceful-fs@4.2.11
hash-for-dep@1.5.1
icss-utils@5.1.0
infer-owner@1.0.4
inflight@1.0.6
inherits@2.0.3
inherits@2.0.4
intersection-observer-admin@0.3.3
isexe@2.0.0
lru-cache@5.1.1
matcher-collection@1.1.2
matcher-collection@2.0.1
minimalistic-assert@1.0.1
minimatch@3.1.2
move-concurrently@1.0.1
once@1.4.0
parse-asn1@5.1.7
path-posix@1.0.0
picocolors@1.0.1
postcss-modules-extract-imports@3.1.0
postcss-modules-scope@3.2.0
postcss-modules-values@4.0.0
promise-inflight@1.0.1
raf-pool@0.1.4
remove-trailing-separator@1.1.0

BSD 2-Clause "Simplified" License

Permissive
OSI Approved
This is a human-readable summary of (and not a substitute for) the license. Disclaimer.
Can
commercial-use
modify
distribute
place-warranty
Cannot
hold-liable
Must
include-copyright
include-license
12 Packages, Including:
entities@2.2.0
eslint-scope@4.0.3
esprima@4.0.1
esrecurse@4.3.0
estraverse@4.3.0
estraverse@5.3.0
esutils@2.0.3
mississippi@3.0.0
regjsparser@0.9.1
terser@4.8.1
uglify-js@3.18.0
uri-js@4.4.1

BSD 3-Clause "New" or "Revised" License

Permissive
OSI Approved
This is a human-readable summary of (and not a substitute for) the license. Disclaimer.
Can
commercial-use
modify
distribute
place-warranty
Cannot
use-trademark
hold-liable
Must
include-copyright
include-license
9 Packages, Including:
@xtuc/ieee754@1.2.0
ieee754@1.2.1
qs@6.12.1
serialize-javascript@4.0.0
source-map-js@1.2.0
source-map@0.4.4
source-map@0.5.7
source-map@0.6.1
sprintf-js@1.1.3

Apache License 2.0

Permissive
OSI Approved
This is a human-readable summary of (and not a substitute for) the license. Disclaimer.
Can
commercial-use
modify
distribute
sublicense
private-use
use-patent-claims
place-warranty
Cannot
hold-liable
use-trademark
Must
include-copyright
include-license
state-changes
include-notice
4 Packages, Including:
@ampproject/remapping@2.3.0
@xtuc/long@4.2.2
human-signals@1.1.1
workerpool@3.1.2

BSD-3-Clause OR MIT

Permissive
1 Packages, Including:
amdefine@1.0.1

(MIT OR Apache-2.0)

Permissive
1 Packages, Including:
atob@2.1.2

Creative Commons Attribution 4.0 International

Uncategorized
Not OSI Approved
This is a human-readable summary of (and not a substitute for) the license. Disclaimer.
Can
Cannot
Must
1 Packages, Including:
caniuse-lite@1.0.30001636

Public Domain

Invalid
Not OSI Approved
1 Packages, Including:
jsonify@0.0.1

(MIT AND Zlib)

Permissive
1 Packages, Including:
pako@1.0.11

(MIT AND BSD-3-Clause)

Permissive
1 Packages, Including:
sha.js@2.4.11
Disclaimer

This deed highlights only some of the key features and terms of the actual license. It is not a license and has no legal value. You should carefully review all of the terms and conditions of the actual license before using the licensed material.

Sandworm is not a law firm and does not provide legal services. Distributing, displaying, or linking to this deed or the license that it summarizes does not create a lawyer-client or any other relationship.

Direct Dependencies

4
All Dependencies CSV
β“˜ This is a list of ember-infinity 's direct dependencies. Data on all dependencies, including transitive ones, is available via CSV download.
NameVersionSizeLicenseTypeVulnerabilities
@ember/render-modifiers2.1.08.45 kBMIT
prod
16
8
2
ember-cli-babel7.26.1116.31 kBMIT
prod
5
3
2
ember-cli-htmlbars5.7.218.35 kBMIT
prod
2
2
1
ember-in-viewport3.10.319.12 kBMIT
prod
1
15
8
2

Visualizations